<?php
class urunler{
	
	public function UrunListele($kisit=""){
		
		$vt=@new mysqli("localhost","root","usbw","kullaniiciweb2");

		if($vt->connect_error)
		{
			die("Bağlantı Hatası Olustu ".$vt->connect_error);
		}
			 $vt->set_charset("UTF8");
			//echo "<h1> Bağlantı Sağlandı</h1>";

			$sql="SELECT * FROM `urun` $kisit";
			$hazirla=$vt->prepare($sql);
			if($vt->error)
			{
				die("Sorgu Hatası Olustu ".$vt->error);
			}
			
			$hazirla->execute();
			$sonuc=$hazirla->get_result();
			
			$veriDZ="";
			while($a=$sonuc->fetch_assoc())
				$veriDZ[]=$a;
			
		///	print_r($veriDZ);
			
			$hazirla->close();
			$vt->close();
			
			
			return $veriDZ;
			
			
	}
	
	
	
	
	
	///Tablo Yapma Fonksiyonu
	public function TabloYap($veri, $bas,$islem=false){
		
		if(!is_array($veri) || !is_array($bas))
			return false;
		
		$metin="
				<style>
					.urn{
						 border:5px solid #44ddFF;
						 border-radius:15px;
						 
						
					}
					
					.tek{
						background-color:#eee;
					}
					.cift{
						background-color:#eeeeff;
					}
					
					.urn tr:hover{background-color:#ffeeff;}
				</style>
		
		    <table border='1' rules='none' cellpadding='10' class='urn'>
				<tr>
				  <th>
		";
		
		
		if($islem)
			$bas[]="İslemler";
		
		$metin.=implode("</th><th>",$bas)."</tr>";
		
		
		foreach($veri as $k=>$v)
		{
			 $cls="tek";
			if($k%2==0)
				 $cls="cift";
			
			$metin.="<tr class='$cls'>
					  <td > <img src='{$v['resim']}' width='100px' heigth='100px' title='{$v['aciklama']}'/></td>
						<td>{$v['adi']}</td>
						<td id='adi{$v['id']}'>{$v['aciklama']}</td>
						<td>". number_format ( $v['fiyat'] ,2  )." TL</td>
						<td>{$v['stok']}</td>
						<td>{$v['ziyaretci']}</td>
						<td>{$v['sira']}</td>";
						if($islem)
						{
							$metin.="
						<td align='center'>
								<input type='button' class='duzen' title='".$v['id']."' value='Düzenle'/>
							  
							
								<input type='button'  value='Sil' onclick='return Eminmisin({$v['id']});' />
							
						</td>";
						}
						
				$metin.="		
					</tr>
			";
			
		}
		
		return $metin."</table>";
		
		
	}
	
	
	
	
	////ürün ekleme fonksiyonu
	public function UrunEkle($d){
		
		$vt=@new mysqli("localhost","root","usbw","kullaniiciweb2");

		if($vt->connect_error)
		{
			die("Bağlantı Hatası Olustu ".$vt->connect_error);
		}
			 $vt->set_charset("UTF8");
			//echo "<h1> Bağlantı Sağlandı</h1>";

			$sql="INSERT INTO `urun`
			(`adi`, `aciklama`, `fiyat`, `stok`, `resim`, `sira`) 
			VALUES(?,?,?,?,?,?)";
			$hazirla=$vt->prepare($sql);
			$hazirla->bind_param("ssdisi",$d['adi'],$d['ack'],$d['fiy'],$d['sto'],$d['res'],$d['sir']);
			if($vt->error)
			{
				die("Sorgu Hatası Olustu ".$vt->error);
			}
			
			$hazirla->execute();
		    
		   	
		 
			$hazirla->close();
			$vt->close();
			
			return "Kayıt Basarılı";
		
	}
	
	////ürün Güncellem fonksiyonu
	public function UrunGuncelle($d){
		
		$vt=@new mysqli("localhost","root","usbw","kullaniiciweb2");

		if($vt->connect_error)
		{
			die("Bağlantı Hatası Olustu ".$vt->connect_error);
		}
			 $vt->set_charset("UTF8");
			//echo "<h1> Bağlantı Sağlandı</h1>";

			$sql="UPDATE `urun` SET
			`adi`=?, `aciklama`=?, `fiyat`=?, `stok`=?, `resim`=?, `sira`=?
			WHERE `id`=?";
			$hazirla=$vt->prepare($sql);
			$hazirla->bind_param("ssdisii",$d['adi'],$d['ack'],$d['fiy'],$d['sto'],$d['res'],$d['sir'],$d['id']);
			if($vt->error)
			{    $vt->close();
				return "Sorgu Hatası Olustu ".$vt->error;
				die("Sorgu Hatası Olustu ".$vt->error);
			}
			
			$hazirla->execute();
		    
		   	
		 
			$hazirla->close();
			$vt->close();
			
			return "Güncelleme Basarılı";
		
	}
	
	////ürün Güncellem fonksiyonu
	public function UrunSil($id){
		
		$vt=@new mysqli("localhost","root","usbw","kullaniiciweb2");

		if($vt->connect_error)
		{
			die("Bağlantı Hatası Olustu ".$vt->connect_error);
		}

			$sql="DELETE FROM `urun` WHERE `id`=?";
			$hazirla=$vt->prepare($sql);
			$hazirla->bind_param("i",$id);
			if($vt->error)
			{    $vt->close();
				return "Sorgu Hatası Olustu ".$vt->error;
				die("Sorgu Hatası Olustu ".$vt->error);
			}
			
			$hazirla->execute();
		    
		   	
		 
			$hazirla->close();
			$vt->close();
			
			return "Ürün Silme Basarılı";
		
	}
	
	
	
}








?>